Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.component
Interface Component

All Superinterfaces:
  FormListener, LifeCycle, Renderable, RequestListener, Visible

All Known Subinterfaces:
  ITableComponent, NestableComponent

All Known Implementing Classes:
  ComponentSupport, EditableTableComponent, NestableComponentSupport, TableComponent

public interface Component
extends RequestListener, Renderable, FormListener, Visible, LifeCycle

A Component is created by a ComponentTag and stored into the users Session. A RenderTag calls its render() method that produces a DOM. The DOM is then rendered via a xsl stylesheet.

Author:
  av

Method Summary
`Component` | `getParent()` returns the parent component as specified by initialize() or null, if this is the root component
`boolean` | `isListeningTo(java.util.Map httpParams)`
`void` | `setNextView(java.lang.String uri)` show another jsp

Methods inherited from interface com.tonbeller.wcf.controller.RequestListener
`request`

Methods inherited from interface com.tonbeller.wcf.component.Renderable
`render`

Methods inherited from interface com.tonbeller.wcf.component.FormListener
`revert, validate`

Methods inherited from interface com.tonbeller.wcf.component.Visible
`isVisible, setVisible`

Methods inherited from interface com.tonbeller.wcf.component.LifeCycle
`destroy, initialize`

Method Detail

### getParent

    public Component getParent()

  returns the parent component as specified by initialize() or null, if this is the root component

  Returns:

### setNextView

    public void setNextView(java.lang.String uri)

  show another jsp

### isListeningTo

    public boolean isListeningTo(java.util.Map httpParams)

  Parameters:
    `httpParams` - map of http parameters that may identify a RequestListener of this component
  Returns:
    true if this component is listening to a http request with `httpParams`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD